List referenced teams
curl --request GET \
--url {schemes}://api.upsun.com/ref/teams \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/ref/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/ref/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"01FVMKN9KHVWWVY488AVKDWHR3": {
"id": "01FVMKN9KHVWWVY488AVKDWHR3",
"label": "Contractors"
}
}{
"error": "<string>"
}References
List referenced teams
Retrieves a list of teams referenced by a trusted service. Clients cannot construct the URL themselves. The correct URL will be provided in the HAL links of another API response, in the _links object with a key like ref:teams:0.
GET
/
ref
/
teams
List referenced teams
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The list of comma-separated team IDs generated by a trusted service.
The signature of this request generated by a trusted service.
Response
OK
A map of referenced teams indexed by the team ID.
The referenced team, or null if it no longer exists.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?